{"openapi":"3.1.0","info":{"title":"168post Open API","description":"使用应用密钥操作已授权账号。账号授权仅在控制台完成，不对外开放。","version":"1.0.0"},"paths":{"/social-accounts":{"get":{"tags":["social-accounts"],"summary":"获取已授权账号","operationId":"accounts_social_accounts_get","responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"items":{"$ref":"#/components/schemas/PublicAccount"},"type":"array","title":"Response Accounts Social Accounts Get"}}}}},"security":[{"HTTPBearer":[]}],"x-required-scope":"accounts:read","x-mcp-tool":"sv_accounts"}},"/posts":{"get":{"tags":["posts"],"summary":"查询发布记录列表","operationId":"published_posts_posts_get","security":[{"HTTPBearer":[]}],"parameters":[{"name":"status_filter","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Status Filter"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/CampaignPostResponse"},"title":"Response Published Posts Posts Get"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}},"x-required-scope":"posts:read","x-mcp-tool":"sv_published_posts"}},"/media/upload-url":{"post":{"tags":["media"],"summary":"获取视频上传地址","operationId":"upload_url_media_upload_url_post","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UploadUrlRequest"}}},"required":true},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UploadUrlResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}},"security":[{"HTTPBearer":[]}],"x-required-scope":"media:write","x-mcp-tool":"sv_upload_url"}},"/media/multipart/parts":{"post":{"tags":["media"],"summary":"获取分片上传地址","operationId":"multipart_parts_media_multipart_parts_post","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/MultipartPartsRequest"}}},"required":true},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}},"security":[{"HTTPBearer":[]}],"x-mcp-tool":"sv_multipart_parts","x-required-scope":"media:write"}},"/media/multipart/complete":{"post":{"tags":["media"],"summary":"完成分片上传","operationId":"complete_multipart_media_multipart_complete_post","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/MultipartCompleteRequest"}}},"required":true},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}},"security":[{"HTTPBearer":[]}],"x-mcp-tool":"sv_complete_multipart","x-required-scope":"media:write"}},"/media/multipart/abort":{"post":{"tags":["media"],"summary":"取消分片上传","operationId":"abort_multipart_media_multipart_abort_post","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/MultipartGrantRequest"}}},"required":true},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}},"security":[{"HTTPBearer":[]}],"x-mcp-tool":"sv_abort_multipart","x-required-scope":"media:write"}},"/media/storage-upload/{token}":{"put":{"tags":["media"],"summary":"中转上传视频","operationId":"upload_through_api_media_storage_upload__token__put","security":[{"HTTPBearer":[]}],"parameters":[{"name":"token","in":"path","required":true,"schema":{"type":"string","title":"Token"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}},"x-required-scope":"media:write","requestBody":{"required":true,"description":"使用上传授权中的 Content-Type 直接发送文件二进制。","content":{"video/mp4":{"schema":{"type":"string","format":"binary"}}}}}},"/media/complete":{"post":{"tags":["media"],"summary":"确认上传并检查素材","operationId":"complete_upload_media_complete_post","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/MediaCompleteRequest"}}},"required":true},"responses":{"201":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MediaResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}},"security":[{"HTTPBearer":[]}],"x-mcp-tool":"sv_complete_upload","x-required-scope":"media:write"}},"/media/{media_id}":{"get":{"tags":["media"],"summary":"查询素材处理状态","operationId":"get_media_media__media_id__get","security":[{"HTTPBearer":[]}],"parameters":[{"name":"media_id","in":"path","required":true,"schema":{"type":"string","title":"Media Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MediaResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}},"x-mcp-tool":"sv_get_media","x-required-scope":"media:read"}},"/campaigns/preflight":{"post":{"tags":["campaigns"],"summary":"发布前检查","operationId":"preflight_campaigns_preflight_post","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CampaignPreflight"}}},"required":true},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}},"security":[{"HTTPBearer":[]}],"x-mcp-tool":"sv_preflight","x-required-scope":"posts:write"}},"/campaigns":{"post":{"tags":["campaigns"],"summary":"创建视频发布","operationId":"create_campaigns_post","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CampaignCreate"}}},"required":true},"responses":{"201":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CampaignResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}},"security":[{"HTTPBearer":[]}],"x-mcp-tool":"sv_create","x-required-scope":"posts:write"}},"/campaigns/{campaign_id}":{"get":{"tags":["campaigns"],"summary":"查询发布计划","operationId":"get_campaign_campaigns__campaign_id__get","security":[{"HTTPBearer":[]}],"parameters":[{"name":"campaign_id","in":"path","required":true,"schema":{"type":"string","title":"Campaign Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CampaignDetailResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}},"x-mcp-tool":"sv_get_campaign","x-required-scope":"posts:read"}},"/posts/{post_id}":{"get":{"tags":["posts"],"summary":"查询单条发布","operationId":"get_post_posts__post_id__get","security":[{"HTTPBearer":[]}],"parameters":[{"name":"post_id","in":"path","required":true,"schema":{"type":"string","title":"Post Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CampaignPostResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}},"x-mcp-tool":"sv_get_post","x-required-scope":"posts:read"},"patch":{"tags":["posts"],"summary":"编辑待发布内容","operationId":"edit_post_posts__post_id__patch","security":[{"HTTPBearer":[]}],"parameters":[{"name":"post_id","in":"path","required":true,"schema":{"type":"string","title":"Post Id"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PendingPostEdit"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CampaignPostResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}},"x-mcp-tool":"sv_edit_post","x-required-scope":"posts:write"}},"/posts/{post_id}/resolve-url":{"post":{"tags":["posts"],"summary":"获取平台作品链接","operationId":"resolve_post_url_posts__post_id__resolve_url_post","security":[{"HTTPBearer":[]}],"parameters":[{"name":"post_id","in":"path","required":true,"schema":{"type":"string","title":"Post Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PostUrlResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}},"x-mcp-tool":"sv_resolve_post_url","x-required-scope":"posts:read"}},"/posts/{post_id}/sync-insights":{"post":{"tags":["posts"],"summary":"同步作品数据","operationId":"sync_post_insights_posts__post_id__sync_insights_post","security":[{"HTTPBearer":[]}],"parameters":[{"name":"post_id","in":"path","required":true,"schema":{"type":"string","title":"Post Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PostInsightsResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}},"x-mcp-tool":"sv_sync_post_insights","x-required-scope":"posts:read"}},"/posts/{post_id}/comments":{"get":{"tags":["posts"],"summary":"查询作品评论","operationId":"list_post_comments_posts__post_id__comments_get","security":[{"HTTPBearer":[]}],"parameters":[{"name":"post_id","in":"path","required":true,"schema":{"type":"string","title":"Post Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PostCommentsResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}},"x-mcp-tool":"sv_list_post_comments","x-required-scope":"posts:read"}},"/posts/{post_id}/schedule":{"post":{"tags":["posts"],"summary":"预约发布","operationId":"schedule_post_posts__post_id__schedule_post","security":[{"HTTPBearer":[]}],"parameters":[{"name":"post_id","in":"path","required":true,"schema":{"type":"string","title":"Post Id"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ScheduleRequest"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ActionResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}},"x-mcp-tool":"sv_schedule_post","x-required-scope":"posts:write"}},"/posts/{post_id}/publish-now":{"post":{"tags":["posts"],"summary":"立即发布","operationId":"publish_now_posts__post_id__publish_now_post","security":[{"HTTPBearer":[]}],"parameters":[{"name":"post_id","in":"path","required":true,"schema":{"type":"string","title":"Post Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ActionResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}},"x-mcp-tool":"sv_publish_now","x-required-scope":"posts:write"}},"/posts/{post_id}/cancel":{"post":{"tags":["posts"],"summary":"取消发布","operationId":"cancel_posts__post_id__cancel_post","security":[{"HTTPBearer":[]}],"parameters":[{"name":"post_id","in":"path","required":true,"schema":{"type":"string","title":"Post Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ActionResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}},"x-mcp-tool":"sv_cancel","x-required-scope":"posts:write"}},"/posts/{post_id}/retry":{"post":{"tags":["posts"],"summary":"重试发布","operationId":"retry_posts__post_id__retry_post","security":[{"HTTPBearer":[]}],"parameters":[{"name":"post_id","in":"path","required":true,"schema":{"type":"string","title":"Post Id"}}],"requestBody":{"content":{"application/json":{"schema":{"anyOf":[{"$ref":"#/components/schemas/RetryRequest"},{"type":"null"}],"title":"Payload"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ActionResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}},"x-mcp-tool":"sv_retry","x-required-scope":"posts:write"}},"/jobs/{job_id}":{"get":{"tags":["jobs"],"summary":"查询异步任务","operationId":"get_job_jobs__job_id__get","security":[{"HTTPBearer":[]}],"parameters":[{"name":"job_id","in":"path","required":true,"schema":{"type":"string","title":"Job Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PublishJobResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}},"x-mcp-tool":"sv_get_job","x-required-scope":"posts:read"}},"/jobs/{job_id}/resume":{"post":{"tags":["jobs"],"summary":"恢复等待任务","operationId":"resume_waiting_job_jobs__job_id__resume_post","security":[{"HTTPBearer":[]}],"parameters":[{"name":"job_id","in":"path","required":true,"schema":{"type":"string","title":"Job Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ActionResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}},"x-mcp-tool":"sv_resume_waiting_job","x-required-scope":"posts:write"}},"/social-accounts/{account_id}/sync-profile":{"post":{"tags":["social-accounts"],"summary":"同步账号资料","operationId":"sync_account_profile_social_accounts__account_id__sync_profile_post","security":[{"HTTPBearer":[]}],"parameters":[{"name":"account_id","in":"path","required":true,"schema":{"type":"string","title":"Account Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PublicAccount"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}},"x-mcp-tool":"sv_sync_account_profile","x-required-scope":"accounts:read"}},"/social-accounts/{account_id}/sync-insights":{"post":{"tags":["social-accounts"],"summary":"同步账号指标","operationId":"sync_account_insights_social_accounts__account_id__sync_insights_post","security":[{"HTTPBearer":[]}],"parameters":[{"name":"account_id","in":"path","required":true,"schema":{"type":"string","title":"Account Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PublicAccount"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}},"x-mcp-tool":"sv_sync_account_insights","x-required-scope":"accounts:read"}},"/social-accounts/{account_id}/tiktok/videos":{"get":{"tags":["social-accounts"],"summary":"查询 TikTok 视频","operationId":"list_tiktok_videos_social_accounts__account_id__tiktok_videos_get","security":[{"HTTPBearer":[]}],"parameters":[{"name":"account_id","in":"path","required":true,"schema":{"type":"string","title":"Account Id"}},{"name":"cursor","in":"query","required":false,"schema":{"anyOf":[{"type":"integer","maximum":9223372036854775807,"minimum":0},{"type":"null"}],"title":"Cursor"}},{"name":"limit","in":"query","required":false,"schema":{"type":"integer","maximum":20,"minimum":1,"default":20,"title":"Limit"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/TikTokVideoListResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}},"x-mcp-tool":"sv_list_tiktok_videos","x-required-scope":"accounts:read"}},"/social-accounts/{account_id}/instagram/media":{"get":{"tags":["social-accounts"],"summary":"查询 Instagram 作品","operationId":"list_instagram_media_social_accounts__account_id__instagram_media_get","security":[{"HTTPBearer":[]}],"parameters":[{"name":"account_id","in":"path","required":true,"schema":{"type":"string","title":"Account Id"}},{"name":"cursor","in":"query","required":false,"schema":{"anyOf":[{"type":"string","maxLength":2048},{"type":"null"}],"title":"Cursor"}},{"name":"limit","in":"query","required":false,"schema":{"type":"integer","maximum":50,"minimum":1,"default":20,"title":"Limit"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/InstagramMediaListResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}},"x-mcp-tool":"sv_list_instagram_media","x-required-scope":"accounts:read"}},"/social-accounts/{account_id}/kuaishou/videos":{"get":{"tags":["social-accounts"],"summary":"查询快手视频","operationId":"list_kuaishou_videos_social_accounts__account_id__kuaishou_videos_get","security":[{"HTTPBearer":[]}],"parameters":[{"name":"account_id","in":"path","required":true,"schema":{"type":"string","title":"Account Id"}},{"name":"cursor","in":"query","required":false,"schema":{"anyOf":[{"type":"string","maxLength":255},{"type":"null"}],"title":"Cursor"}},{"name":"count","in":"query","required":false,"schema":{"type":"integer","maximum":200,"minimum":1,"default":20,"title":"Count"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/KuaishouVideoListResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}},"x-mcp-tool":"sv_list_kuaishou_videos","x-required-scope":"accounts:read"}},"/social-accounts/{account_id}/youtube/videos":{"get":{"tags":["social-accounts"],"summary":"查询 YouTube 视频","operationId":"list_youtube_videos_social_accounts__account_id__youtube_videos_get","security":[{"HTTPBearer":[]}],"parameters":[{"name":"account_id","in":"path","required":true,"schema":{"type":"string","title":"Account Id"}},{"name":"page_token","in":"query","required":false,"schema":{"anyOf":[{"type":"string","maxLength":255},{"type":"null"}],"title":"Page Token"}},{"name":"max_results","in":"query","required":false,"schema":{"type":"integer","maximum":50,"minimum":1,"default":20,"title":"Max Results"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/YouTubeVideoListResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}},"x-mcp-tool":"sv_list_youtube_videos","x-required-scope":"accounts:read"}},"/social-accounts/{account_id}/youtube/videos/{video_id}/comments":{"get":{"tags":["social-accounts"],"summary":"查询 YouTube 评论","operationId":"list_youtube_video_comments_social_accounts__account_id__youtube_videos__video_id__comments_get","security":[{"HTTPBearer":[]}],"parameters":[{"name":"account_id","in":"path","required":true,"schema":{"type":"string","title":"Account Id"}},{"name":"video_id","in":"path","required":true,"schema":{"type":"string","title":"Video Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/YouTubeCommentListResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}},"x-mcp-tool":"sv_list_youtube_video_comments","x-required-scope":"accounts:read"}},"/social-accounts/{account_id}/kuaishou/videos/{photo_id}":{"delete":{"tags":["social-accounts"],"summary":"删除快手视频","operationId":"delete_kuaishou_video_social_accounts__account_id__kuaishou_videos__photo_id__delete","security":[{"HTTPBearer":[]}],"parameters":[{"name":"account_id","in":"path","required":true,"schema":{"type":"string","title":"Account Id"}},{"name":"photo_id","in":"path","required":true,"schema":{"type":"string","title":"Photo Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProviderActionResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}},"x-mcp-tool":"sv_delete_kuaishou_video","x-required-scope":"videos:write"}},"/social-accounts/{account_id}/kuaishou/videos/{photo_id}/mini-program":{"post":{"tags":["social-accounts"],"summary":"挂载快手小程序","operationId":"bind_kuaishou_video_mini_program_social_accounts__account_id__kuaishou_videos__photo_id__mini_program_post","security":[{"HTTPBearer":[]}],"parameters":[{"name":"account_id","in":"path","required":true,"schema":{"type":"string","title":"Account Id"}},{"name":"photo_id","in":"path","required":true,"schema":{"type":"string","title":"Photo Id"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/KuaishouMiniProgramBindRequest"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProviderActionResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}},"x-mcp-tool":"sv_bind_kuaishou_video_mini_program","x-required-scope":"videos:write"}},"/social-accounts/{account_id}/youtube/videos/{video_id}":{"put":{"tags":["social-accounts"],"summary":"编辑 YouTube 视频","operationId":"update_youtube_video_social_accounts__account_id__youtube_videos__video_id__put","security":[{"HTTPBearer":[]}],"parameters":[{"name":"account_id","in":"path","required":true,"schema":{"type":"string","title":"Account Id"}},{"name":"video_id","in":"path","required":true,"schema":{"type":"string","title":"Video Id"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/YouTubeVideoUpdateRequest"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/YouTubeVideo"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}},"x-mcp-tool":"sv_update_youtube_video","x-required-scope":"videos:write"},"delete":{"tags":["social-accounts"],"summary":"删除 YouTube 视频","operationId":"delete_youtube_video_social_accounts__account_id__youtube_videos__video_id__delete","security":[{"HTTPBearer":[]}],"parameters":[{"name":"account_id","in":"path","required":true,"schema":{"type":"string","title":"Account Id"}},{"name":"video_id","in":"path","required":true,"schema":{"type":"string","title":"Video Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProviderActionResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}},"x-mcp-tool":"sv_delete_youtube_video","x-required-scope":"videos:write"}},"/social-accounts/{account_id}/facebook/videos":{"get":{"tags":["social-accounts"],"summary":"查询 Facebook 视频","operationId":"list_videos_social_accounts__account_id__facebook_videos_get","security":[{"HTTPBearer":[]}],"parameters":[{"name":"account_id","in":"path","required":true,"schema":{"type":"string","title":"Account Id"}},{"name":"cursor","in":"query","required":false,"schema":{"anyOf":[{"type":"string","maxLength":2048},{"type":"null"}],"title":"Cursor"}},{"name":"limit","in":"query","required":false,"schema":{"type":"integer","maximum":50,"minimum":1,"default":20,"title":"Limit"}},{"name":"kind","in":"query","required":false,"schema":{"enum":["videos","reels"],"type":"string","default":"videos","title":"Kind"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/FacebookVideoList"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}},"x-mcp-tool":"sv_list_videos","x-required-scope":"accounts:read"}},"/social-accounts/{account_id}/facebook/videos/{video_id}":{"put":{"tags":["social-accounts"],"summary":"编辑 Facebook 视频","operationId":"update_video_social_accounts__account_id__facebook_videos__video_id__put","security":[{"HTTPBearer":[]}],"parameters":[{"name":"account_id","in":"path","required":true,"schema":{"type":"string","title":"Account Id"}},{"name":"video_id","in":"path","required":true,"schema":{"type":"string","title":"Video Id"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/FacebookVideoUpdate"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProviderActionResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}},"x-mcp-tool":"sv_update_video","x-required-scope":"videos:write"},"delete":{"tags":["social-accounts"],"summary":"删除 Facebook 视频","operationId":"delete_video_social_accounts__account_id__facebook_videos__video_id__delete","security":[{"HTTPBearer":[]}],"parameters":[{"name":"account_id","in":"path","required":true,"schema":{"type":"string","title":"Account Id"}},{"name":"video_id","in":"path","required":true,"schema":{"type":"string","title":"Video Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProviderActionResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}},"x-mcp-tool":"sv_delete_video","x-required-scope":"videos:write"}},"/tiktok/accounts/{account_id}/creator-info":{"post":{"tags":["tiktok"],"summary":"查询 TikTok 发布选项","operationId":"creator_info_tiktok_accounts__account_id__creator_info_post","security":[{"HTTPBearer":[]}],"parameters":[{"name":"account_id","in":"path","required":true,"schema":{"type":"string","title":"Account Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/TikTokCreatorInfo"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}},"x-mcp-tool":"sv_creator_info","x-required-scope":"accounts:read"}},"/tiktok/direct-uploads/init":{"post":{"tags":["tiktok"],"summary":"初始化 TikTok 直传","operationId":"initialize_tiktok_direct_upload_tiktok_direct_uploads_init_post","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/TikTokDirectUploadInit"}}},"required":true},"responses":{"201":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/TikTokDirectUploadResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}},"security":[{"HTTPBearer":[]}],"x-mcp-tool":"sv_initialize_tiktok_direct_upload","x-required-scope":"posts:write media:write"}},"/tiktok/inbox-uploads/init":{"post":{"tags":["tiktok"],"summary":"初始化 TikTok 草稿箱上传","operationId":"initialize_tiktok_inbox_upload_tiktok_inbox_uploads_init_post","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/TikTokInboxUploadInit"}}},"required":true},"responses":{"201":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/TikTokDirectUploadResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}},"security":[{"HTTPBearer":[]}],"x-mcp-tool":"sv_initialize_tiktok_inbox_upload","x-required-scope":"posts:write media:write"}},"/tiktok/direct-uploads/{job_id}/complete":{"post":{"tags":["tiktok"],"summary":"确认 TikTok 直传完成","operationId":"complete_tiktok_direct_upload_tiktok_direct_uploads__job_id__complete_post","security":[{"HTTPBearer":[]}],"parameters":[{"name":"job_id","in":"path","required":true,"schema":{"type":"string","title":"Job Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/TikTokPublishJobResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}},"x-mcp-tool":"sv_complete_tiktok_direct_upload","x-required-scope":"posts:write"}},"/tiktok/direct-uploads/{job_id}/fail":{"post":{"tags":["tiktok"],"summary":"标记 TikTok 上传失败","operationId":"fail_tiktok_direct_upload_tiktok_direct_uploads__job_id__fail_post","security":[{"HTTPBearer":[]}],"parameters":[{"name":"job_id","in":"path","required":true,"schema":{"type":"string","title":"Job Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/TikTokPublishJobResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}},"x-mcp-tool":"sv_fail_tiktok_direct_upload","x-required-scope":"posts:write"}},"/tiktok/publish-jobs":{"post":{"tags":["tiktok"],"summary":"创建 TikTok 发布任务","operationId":"create_tiktok_job_tiktok_publish_jobs_post","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/TikTokPublishJobCreate"}}},"required":true},"responses":{"201":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/TikTokPublishJobResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}},"security":[{"HTTPBearer":[]}],"x-mcp-tool":"sv_create_tiktok_job","x-required-scope":"posts:write"}},"/tiktok/publish-jobs/{job_id}":{"get":{"tags":["tiktok"],"summary":"查询 TikTok 任务","operationId":"get_tiktok_job_tiktok_publish_jobs__job_id__get","security":[{"HTTPBearer":[]}],"parameters":[{"name":"job_id","in":"path","required":true,"schema":{"type":"string","title":"Job Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/TikTokPublishJobResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}},"x-mcp-tool":"sv_get_tiktok_job","x-required-scope":"posts:read"}},"/tiktok/publish-jobs/{job_id}/refresh":{"post":{"tags":["tiktok"],"summary":"刷新 TikTok 任务状态","operationId":"refresh_tiktok_job_tiktok_publish_jobs__job_id__refresh_post","security":[{"HTTPBearer":[]}],"parameters":[{"name":"job_id","in":"path","required":true,"schema":{"type":"string","title":"Job Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/TikTokPublishJobResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}},"x-mcp-tool":"sv_refresh_tiktok_job","x-required-scope":"posts:read"}},"/tiktok/posts/{post_id}/refresh":{"post":{"tags":["tiktok"],"summary":"刷新 TikTok 作品状态","operationId":"refresh_tiktok_post_tiktok_posts__post_id__refresh_post","security":[{"HTTPBearer":[]}],"parameters":[{"name":"post_id","in":"path","required":true,"schema":{"type":"string","title":"Post Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CampaignPostResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}},"x-mcp-tool":"sv_refresh_tiktok_post","x-required-scope":"posts:read"}},"/youtube/publish-jobs":{"post":{"tags":["youtube"],"summary":"创建 YouTube 发布任务","operationId":"create_youtube_publish_job_youtube_publish_jobs_post","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/YouTubePublishJobCreate"}}},"required":true},"responses":{"201":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/YouTubePublishJobResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}},"security":[{"HTTPBearer":[]}],"x-mcp-tool":"sv_create_youtube_publish_job","x-required-scope":"posts:write"}},"/youtube/publish-jobs/{job_id}":{"get":{"tags":["youtube"],"summary":"查询 YouTube 任务","operationId":"get_youtube_publish_job_youtube_publish_jobs__job_id__get","security":[{"HTTPBearer":[]}],"parameters":[{"name":"job_id","in":"path","required":true,"schema":{"type":"string","title":"Job Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/YouTubePublishJobResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}},"x-mcp-tool":"sv_get_youtube_publish_job","x-required-scope":"posts:read"}},"/youtube/publish-jobs/{job_id}/refresh":{"post":{"tags":["youtube"],"summary":"刷新 YouTube 任务状态","operationId":"refresh_youtube_publish_job_youtube_publish_jobs__job_id__refresh_post","security":[{"HTTPBearer":[]}],"parameters":[{"name":"job_id","in":"path","required":true,"schema":{"type":"string","title":"Job Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/YouTubePublishJobResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}},"x-mcp-tool":"sv_refresh_youtube_publish_job","x-required-scope":"posts:read"}}},"components":{"schemas":{"ActionResponse":{"properties":{"id":{"type":"string","title":"Id"},"status":{"type":"string","title":"Status"},"message":{"type":"string","title":"Message"},"updated_at":{"anyOf":[{"type":"string","format":"date-time"},{"type":"null"}],"title":"Updated At"}},"type":"object","required":["id","status","message"],"title":"ActionResponse"},"CampaignCreate":{"properties":{"name":{"type":"string","maxLength":180,"minLength":1,"title":"Name"},"product_id":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Product Id"},"new_product":{"anyOf":[{"$ref":"#/components/schemas/ProductCreate"},{"type":"null"}]},"publish_mode":{"type":"string","pattern":"^(now|schedule)$","title":"Publish Mode","default":"now"},"posts":{"items":{"$ref":"#/components/schemas/CampaignPostCreate"},"type":"array","maxItems":20,"minItems":1,"title":"Posts"},"confirmed":{"type":"boolean","title":"Confirmed","default":false},"request_id":{"anyOf":[{"type":"string","format":"uuid"},{"type":"null"}],"title":"Request Id"},"media_asset_id":{"type":"string","title":"Media Asset Id"}},"type":"object","required":["name","posts","media_asset_id"],"title":"CampaignCreate"},"CampaignDetailResponse":{"properties":{"id":{"type":"string","title":"Id"},"product_id":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Product Id"},"media_asset_id":{"type":"string","title":"Media Asset Id"},"name":{"type":"string","title":"Name"},"publisher_id":{"type":"string","title":"Publisher Id"},"publisher_name":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Publisher Name"},"publisher_email":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Publisher Email"},"created_at":{"type":"string","format":"date-time","title":"Created At"},"updated_at":{"type":"string","format":"date-time","title":"Updated At"},"post_count":{"type":"integer","title":"Post Count","default":0},"published_count":{"type":"integer","title":"Published Count","default":0},"failed_count":{"type":"integer","title":"Failed Count","default":0},"media_name":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Media Name"},"media_preview_url":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Media Preview Url"},"media_thumbnail_url":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Media Thumbnail Url"},"media_duration":{"anyOf":[{"type":"number"},{"type":"null"}],"title":"Media Duration"},"media_width":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"Media Width"},"media_height":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"Media Height"},"media_fps":{"anyOf":[{"type":"number"},{"type":"null"}],"title":"Media Fps"},"media_codec":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Media Codec"},"media_bitrate":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"Media Bitrate"},"media_file_size":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"Media File Size"},"media_mime_type":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Media Mime Type"},"media_status":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Media Status"},"media_error_message":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Media Error Message"},"photo_preview_urls":{"items":{"type":"string"},"type":"array","title":"Photo Preview Urls"},"posts":{"items":{"$ref":"#/components/schemas/CampaignHistoryPost"},"type":"array","title":"Posts"},"created_by":{"type":"string","title":"Created By"}},"type":"object","required":["id","product_id","media_asset_id","name","publisher_id","created_at","updated_at","created_by"],"title":"CampaignDetailResponse"},"CampaignHistoryPost":{"properties":{"id":{"type":"string","title":"Id"},"social_account_id":{"type":"string","title":"Social Account Id"},"platform":{"type":"string","title":"Platform"},"title":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Title"},"caption":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Caption"},"hashtags":{"items":{"type":"string"},"type":"array","title":"Hashtags"},"product_url":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Product Url"},"scheduled_at":{"anyOf":[{"type":"string","format":"date-time"},{"type":"null"}],"title":"Scheduled At"},"published_at":{"anyOf":[{"type":"string","format":"date-time"},{"type":"null"}],"title":"Published At"},"analytics_at":{"anyOf":[{"type":"string","format":"date-time"},{"type":"null"}],"title":"Analytics At"},"timezone":{"type":"string","title":"Timezone"},"status":{"type":"string","title":"Status"},"video_status":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Video Status"},"product_attach_status":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Product Attach Status"},"publish_status":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Publish Status"},"platform_options":{"additionalProperties":true,"type":"object","title":"Platform Options"},"platform_post_id":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Platform Post Id"},"platform_post_url":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Platform Post Url"},"created_at":{"type":"string","format":"date-time","title":"Created At"},"account_name":{"type":"string","title":"Account Name"},"account_avatar_url":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Account Avatar Url"},"insights":{"$ref":"#/components/schemas/PostInsights"},"sales":{"anyOf":[{"$ref":"#/components/schemas/VideoSalesMetrics"},{"type":"null"}]},"insights_synced_at":{"anyOf":[{"type":"string","format":"date-time"},{"type":"null"}],"title":"Insights Synced At"},"error_code":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Error Code"},"error_message":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Error Message"},"publish_attempt":{"type":"integer","title":"Publish Attempt","default":0},"job_status":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Job Status"},"next_retry_at":{"anyOf":[{"type":"string","format":"date-time"},{"type":"null"}],"title":"Next Retry At"}},"type":"object","required":["id","social_account_id","platform","title","caption","product_url","scheduled_at","timezone","status","platform_post_id","platform_post_url","created_at","account_name"],"title":"CampaignHistoryPost"},"CampaignPostCreate":{"properties":{"social_account_id":{"type":"string","title":"Social Account Id"},"platform":{"type":"string","maxLength":50,"minLength":2,"title":"Platform"},"title":{"anyOf":[{"type":"string","maxLength":300},{"type":"null"}],"title":"Title"},"caption":{"anyOf":[{"type":"string","maxLength":10000},{"type":"null"}],"title":"Caption"},"hashtags":{"items":{"type":"string"},"type":"array","maxItems":30,"title":"Hashtags"},"product_url":{"anyOf":[{"type":"string","maxLength":2000},{"type":"null"}],"title":"Product Url"},"scheduled_at":{"anyOf":[{"type":"string","format":"date-time"},{"type":"null"}],"title":"Scheduled At"},"timezone":{"type":"string","maxLength":80,"minLength":1,"title":"Timezone","default":"UTC"},"platform_options":{"additionalProperties":true,"type":"object","title":"Platform Options","default":{}}},"type":"object","required":["social_account_id","platform"],"title":"CampaignPostCreate"},"CampaignPostResponse":{"properties":{"id":{"type":"string","title":"Id"},"social_account_id":{"type":"string","title":"Social Account Id"},"platform":{"type":"string","title":"Platform"},"title":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Title"},"caption":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Caption"},"hashtags":{"items":{},"type":"array","title":"Hashtags"},"product_url":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Product Url"},"scheduled_at":{"anyOf":[{"type":"string","format":"date-time"},{"type":"null"}],"title":"Scheduled At"},"timezone":{"type":"string","title":"Timezone"},"status":{"type":"string","title":"Status"},"video_status":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Video Status"},"product_attach_status":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Product Attach Status"},"publish_status":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Publish Status"},"platform_options":{"additionalProperties":true,"type":"object","title":"Platform Options"},"platform_post_id":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Platform Post Id"},"platform_post_url":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Platform Post Url"},"created_at":{"type":"string","format":"date-time","title":"Created At"},"updated_at":{"type":"string","format":"date-time","title":"Updated At"},"publish_version":{"type":"integer","title":"Publish Version","default":1}},"type":"object","required":["id","social_account_id","platform","title","caption","hashtags","product_url","scheduled_at","timezone","status","platform_options","platform_post_id","platform_post_url","created_at","updated_at"],"title":"CampaignPostResponse"},"CampaignPreflight":{"properties":{"name":{"type":"string","maxLength":180,"minLength":1,"title":"Name"},"product_id":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Product Id"},"new_product":{"anyOf":[{"$ref":"#/components/schemas/ProductCreate"},{"type":"null"}]},"publish_mode":{"type":"string","pattern":"^(now|schedule)$","title":"Publish Mode","default":"now"},"posts":{"items":{"$ref":"#/components/schemas/CampaignPostCreate"},"type":"array","maxItems":20,"minItems":1,"title":"Posts"},"confirmed":{"type":"boolean","title":"Confirmed","default":false},"request_id":{"anyOf":[{"type":"string","format":"uuid"},{"type":"null"}],"title":"Request Id"},"media_asset_id":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Media Asset Id"},"video":{"anyOf":[{"$ref":"#/components/schemas/VideoCandidate"},{"type":"null"}]}},"type":"object","required":["name","posts"],"title":"CampaignPreflight"},"CampaignResponse":{"properties":{"id":{"type":"string","title":"Id"},"product_id":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Product Id"},"media_asset_id":{"type":"string","title":"Media Asset Id"},"name":{"type":"string","title":"Name"},"created_by":{"type":"string","title":"Created By"},"created_at":{"type":"string","format":"date-time","title":"Created At"},"updated_at":{"type":"string","format":"date-time","title":"Updated At"},"posts":{"items":{"$ref":"#/components/schemas/CampaignPostResponse"},"type":"array","title":"Posts","default":[]}},"type":"object","required":["id","product_id","media_asset_id","name","created_by","created_at","updated_at"],"title":"CampaignResponse"},"FacebookVideo":{"properties":{"video_id":{"type":"string","title":"Video Id"},"title":{"type":"string","title":"Title","default":""},"description":{"type":"string","title":"Description","default":""},"thumbnail_url":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Thumbnail Url"},"permalink_url":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Permalink Url"},"created_at":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Created At"},"duration":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"Duration"},"published":{"anyOf":[{"type":"boolean"},{"type":"null"}],"title":"Published"},"view_count":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"View Count"},"like_count":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"Like Count"},"comment_count":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"Comment Count"},"can_manage":{"type":"boolean","title":"Can Manage","default":false}},"type":"object","required":["video_id"],"title":"FacebookVideo"},"FacebookVideoList":{"properties":{"videos":{"items":{"$ref":"#/components/schemas/FacebookVideo"},"type":"array","title":"Videos"},"next_cursor":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Next Cursor"},"has_more":{"type":"boolean","title":"Has More","default":false},"warnings":{"items":{"type":"string"},"type":"array","title":"Warnings"}},"type":"object","required":["videos"],"title":"FacebookVideoList"},"FacebookVideoUpdate":{"properties":{"description":{"type":"string","maxLength":63206,"title":"Description"}},"type":"object","required":["description"],"title":"FacebookVideoUpdate"},"HTTPValidationError":{"properties":{"detail":{"items":{"$ref":"#/components/schemas/ValidationError"},"type":"array","title":"Detail"}},"type":"object","title":"HTTPValidationError"},"InstagramMedia":{"properties":{"id":{"type":"string","title":"Id"},"caption":{"type":"string","title":"Caption","default":""},"media_type":{"type":"string","title":"Media Type"},"media_url":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Media Url"},"thumbnail_url":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Thumbnail Url"},"permalink":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Permalink"},"timestamp":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Timestamp"},"like_count":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"Like Count"},"comment_count":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"Comment Count"},"view_count":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"View Count"},"share_count":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"Share Count"},"saved_count":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"Saved Count"}},"type":"object","required":["id","media_type"],"title":"InstagramMedia"},"InstagramMediaListResponse":{"properties":{"media":{"items":{"$ref":"#/components/schemas/InstagramMedia"},"type":"array","title":"Media"},"next_cursor":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Next Cursor"},"warnings":{"items":{"type":"string"},"type":"array","title":"Warnings"}},"type":"object","required":["media"],"title":"InstagramMediaListResponse"},"KuaishouMiniProgramBindRequest":{"properties":{"plc_mp_app_id":{"type":"string","maxLength":100,"minLength":1,"title":"Plc Mp App Id"},"plc_title":{"type":"string","maxLength":30,"minLength":1,"title":"Plc Title"},"plc_mp_path":{"type":"string","maxLength":500,"minLength":1,"title":"Plc Mp Path"}},"type":"object","required":["plc_mp_app_id","plc_title","plc_mp_path"],"title":"KuaishouMiniProgramBindRequest"},"KuaishouVideo":{"properties":{"photo_id":{"type":"string","title":"Photo Id"},"caption":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Caption"},"cover":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Cover"},"play_url":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Play Url"},"create_time":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"Create Time"},"like_count":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"Like Count"},"comment_count":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"Comment Count"},"view_count":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"View Count"},"pending":{"anyOf":[{"type":"boolean"},{"type":"null"}],"title":"Pending"}},"type":"object","required":["photo_id"],"title":"KuaishouVideo"},"KuaishouVideoListResponse":{"properties":{"videos":{"items":{"$ref":"#/components/schemas/KuaishouVideo"},"type":"array","title":"Videos"},"next_cursor":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Next Cursor"}},"type":"object","required":["videos"],"title":"KuaishouVideoListResponse"},"MediaCompleteRequest":{"properties":{"storage_key":{"type":"string","title":"Storage Key"},"name":{"type":"string","maxLength":255,"minLength":1,"title":"Name"},"title":{"anyOf":[{"type":"string","maxLength":180},{"type":"null"}],"title":"Title"},"product_id":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Product Id"},"mime_type":{"type":"string","title":"Mime Type","default":"video/mp4"},"file_size":{"anyOf":[{"type":"integer","exclusiveMinimum":0.0},{"type":"null"}],"title":"File Size"}},"type":"object","required":["storage_key","name"],"title":"MediaCompleteRequest"},"MediaResponse":{"properties":{"id":{"type":"string","title":"Id"},"product_id":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Product Id"},"title":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Title"},"name":{"type":"string","title":"Name"},"storage_key":{"type":"string","title":"Storage Key"},"thumbnail_url":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Thumbnail Url"},"preview_url":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Preview Url"},"duration":{"anyOf":[{"type":"number"},{"type":"null"}],"title":"Duration"},"width":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"Width"},"height":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"Height"},"fps":{"anyOf":[{"type":"number"},{"type":"null"}],"title":"Fps"},"codec":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Codec"},"bitrate":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"Bitrate"},"file_size":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"File Size"},"mime_type":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Mime Type"},"status":{"type":"string","title":"Status"},"error_message":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Error Message"},"created_at":{"type":"string","format":"date-time","title":"Created At"}},"type":"object","required":["id","product_id","title","name","storage_key","thumbnail_url","duration","width","height","fps","codec","bitrate","file_size","mime_type","status","error_message","created_at"],"title":"MediaResponse"},"MultipartCompleteRequest":{"properties":{"token":{"type":"string","maxLength":8192,"minLength":1,"title":"Token"},"parts":{"items":{"$ref":"#/components/schemas/MultipartPart"},"type":"array","maxItems":10000,"minItems":1,"title":"Parts"}},"type":"object","required":["token","parts"],"title":"MultipartCompleteRequest"},"MultipartGrantRequest":{"properties":{"token":{"type":"string","maxLength":8192,"minLength":1,"title":"Token"}},"type":"object","required":["token"],"title":"MultipartGrantRequest"},"MultipartPart":{"properties":{"part_number":{"type":"integer","maximum":10000.0,"minimum":1.0,"title":"Part Number"},"etag":{"type":"string","maxLength":256,"minLength":1,"title":"Etag"}},"type":"object","required":["part_number","etag"],"title":"MultipartPart"},"MultipartPartsRequest":{"properties":{"token":{"type":"string","maxLength":8192,"minLength":1,"title":"Token"},"part_numbers":{"items":{"type":"integer"},"type":"array","maxItems":3,"minItems":1,"title":"Part Numbers"}},"type":"object","required":["token","part_numbers"],"title":"MultipartPartsRequest"},"MultipartUploadSession":{"properties":{"token":{"type":"string","title":"Token"},"part_size":{"type":"integer","title":"Part Size"},"part_count":{"type":"integer","title":"Part Count"}},"type":"object","required":["token","part_size","part_count"],"title":"MultipartUploadSession"},"PendingPostEdit":{"properties":{"expected_updated_at":{"type":"string","format":"date-time","title":"Expected Updated At"},"title":{"anyOf":[{"type":"string","maxLength":300},{"type":"null"}],"title":"Title"},"caption":{"anyOf":[{"type":"string","maxLength":10000},{"type":"null"}],"title":"Caption"},"hashtags":{"anyOf":[{"items":{"type":"string"},"type":"array","maxItems":30},{"type":"null"}],"title":"Hashtags"},"scheduled_at":{"anyOf":[{"type":"string","format":"date-time"},{"type":"null"}],"title":"Scheduled At"},"timezone":{"anyOf":[{"type":"string","maxLength":80,"minLength":1},{"type":"null"}],"title":"Timezone"}},"additionalProperties":false,"type":"object","required":["expected_updated_at"],"title":"PendingPostEdit"},"PostComment":{"properties":{"id":{"type":"string","title":"Id"},"text":{"type":"string","title":"Text"},"author_name":{"type":"string","title":"Author Name"},"author_avatar_url":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Author Avatar Url"},"author_channel_url":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Author Channel Url"},"published_at":{"anyOf":[{"type":"string","format":"date-time"},{"type":"null"}],"title":"Published At"},"updated_at":{"anyOf":[{"type":"string","format":"date-time"},{"type":"null"}],"title":"Updated At"},"like_count":{"type":"integer","title":"Like Count","default":0},"reply_count":{"type":"integer","title":"Reply Count","default":0},"replies":{"items":{"$ref":"#/components/schemas/PostComment"},"type":"array","title":"Replies"}},"type":"object","required":["id","text","author_name"],"title":"PostComment"},"PostCommentsResponse":{"properties":{"post_id":{"type":"string","title":"Post Id"},"platform":{"type":"string","title":"Platform"},"total":{"type":"integer","title":"Total"},"comments":{"items":{"$ref":"#/components/schemas/PostComment"},"type":"array","title":"Comments"},"fetched_at":{"type":"string","format":"date-time","title":"Fetched At"},"detail_available":{"type":"boolean","title":"Detail Available","default":true},"notice":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Notice"}},"type":"object","required":["post_id","platform","total","fetched_at"],"title":"PostCommentsResponse"},"PostInsights":{"properties":{"views":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"Views"},"comments":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"Comments"},"favorites":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"Favorites"},"likes":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"Likes"},"shares":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"Shares"}},"type":"object","title":"PostInsights"},"PostInsightsResponse":{"properties":{"post_id":{"type":"string","title":"Post Id"},"insights":{"$ref":"#/components/schemas/PostInsights"},"insights_synced_at":{"type":"string","format":"date-time","title":"Insights Synced At"}},"type":"object","required":["post_id","insights","insights_synced_at"],"title":"PostInsightsResponse"},"PostUrlResponse":{"properties":{"post_id":{"type":"string","title":"Post Id"},"platform_post_url":{"type":"string","title":"Platform Post Url"}},"type":"object","required":["post_id","platform_post_url"],"title":"PostUrlResponse"},"ProductCreate":{"properties":{"sku":{"type":"string","maxLength":100,"minLength":1,"pattern":"^[A-Za-z0-9]+$","title":"Sku"},"name":{"anyOf":[{"type":"string","maxLength":180},{"type":"null"}],"title":"Name"},"asin":{"anyOf":[{"type":"string","maxLength":20},{"type":"null"}],"title":"Asin"},"brand":{"anyOf":[{"type":"string","maxLength":120},{"type":"null"}],"title":"Brand"},"marketplace":{"anyOf":[{"type":"string","maxLength":60},{"type":"null"}],"title":"Marketplace"},"product_url":{"anyOf":[{"type":"string","maxLength":2083,"minLength":1,"format":"uri"},{"type":"null"}],"title":"Product Url"},"image_storage_key":{"anyOf":[{"type":"string","maxLength":500},{"type":"null"}],"title":"Image Storage Key"},"image_content_type":{"anyOf":[{"type":"string","maxLength":60},{"type":"null"}],"title":"Image Content Type"}},"additionalProperties":false,"type":"object","required":["sku"],"title":"ProductCreate"},"ProviderActionResponse":{"properties":{"success":{"type":"boolean","title":"Success","default":true},"message":{"type":"string","title":"Message"}},"type":"object","required":["message"],"title":"ProviderActionResponse"},"PublicAccount":{"properties":{"id":{"type":"string","title":"Id"},"platform":{"type":"string","title":"Platform"},"display_name":{"type":"string","title":"Display Name"},"platform_user_id":{"type":"string","title":"Platform User Id"},"status":{"type":"string","title":"Status"},"insights":{"additionalProperties":{"anyOf":[{"type":"integer"},{"type":"number"},{"type":"null"}]},"type":"object","title":"Insights"}},"type":"object","required":["id","platform","display_name","platform_user_id","status"],"title":"PublicAccount"},"PublishJobResponse":{"properties":{"id":{"type":"string","title":"Id"},"campaign_post_id":{"type":"string","title":"Campaign Post Id"},"scheduled_at":{"type":"string","format":"date-time","title":"Scheduled At"},"status":{"type":"string","title":"Status"},"attempt":{"type":"integer","title":"Attempt"},"max_attempts":{"type":"integer","title":"Max Attempts"},"started_at":{"anyOf":[{"type":"string","format":"date-time"},{"type":"null"}],"title":"Started At"},"finished_at":{"anyOf":[{"type":"string","format":"date-time"},{"type":"null"}],"title":"Finished At"},"next_retry_at":{"anyOf":[{"type":"string","format":"date-time"},{"type":"null"}],"title":"Next Retry At"},"error_code":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Error Code"},"error_message":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Error Message"},"celery_task_id":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Celery Task Id"},"created_at":{"type":"string","format":"date-time","title":"Created At"}},"type":"object","required":["id","campaign_post_id","scheduled_at","status","attempt","max_attempts","started_at","finished_at","next_retry_at","error_code","error_message","celery_task_id","created_at"],"title":"PublishJobResponse"},"RetryRequest":{"properties":{"scheduled_at":{"anyOf":[{"type":"string","format":"date-time"},{"type":"null"}],"title":"Scheduled At"},"timezone":{"type":"string","maxLength":80,"minLength":1,"title":"Timezone","default":"UTC"},"source_job_id":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Source Job Id"},"music_usage_confirmed":{"anyOf":[{"type":"boolean"},{"type":"null"}],"title":"Music Usage Confirmed"},"media_asset_id":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Media Asset Id"},"no_publication_confirmed":{"type":"boolean","title":"No Publication Confirmed","default":false}},"type":"object","title":"RetryRequest"},"ScheduleRequest":{"properties":{"scheduled_at":{"type":"string","format":"date-time","title":"Scheduled At"},"timezone":{"type":"string","maxLength":80,"minLength":1,"title":"Timezone","default":"UTC"}},"type":"object","required":["scheduled_at"],"title":"ScheduleRequest"},"TikTokCreatorInfo":{"properties":{"creator_nickname":{"type":"string","title":"Creator Nickname"},"creator_username":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Creator Username"},"creator_avatar_url":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Creator Avatar Url"},"privacy_level_options":{"items":{"type":"string"},"type":"array","title":"Privacy Level Options"},"comment_disabled":{"type":"boolean","title":"Comment Disabled"},"duet_disabled":{"type":"boolean","title":"Duet Disabled"},"stitch_disabled":{"type":"boolean","title":"Stitch Disabled"},"max_video_post_duration_sec":{"type":"integer","title":"Max Video Post Duration Sec"}},"type":"object","required":["creator_nickname","privacy_level_options","comment_disabled","duet_disabled","stitch_disabled","max_video_post_duration_sec"],"title":"TikTokCreatorInfo"},"TikTokDirectUploadInit":{"properties":{"social_account_id":{"type":"string","title":"Social Account Id"},"tiktok_publish_mode":{"type":"string","const":"direct","title":"Tiktok Publish Mode","default":"direct"},"filename":{"type":"string","maxLength":255,"minLength":1,"title":"Filename"},"mime_type":{"type":"string","enum":["video/mp4","video/quicktime","video/webm"],"title":"Mime Type"},"file_size":{"type":"integer","maximum":4294967296.0,"exclusiveMinimum":0.0,"title":"File Size"},"duration":{"type":"number","exclusiveMinimum":0.0,"title":"Duration"},"width":{"type":"integer","maximum":16384.0,"minimum":1.0,"title":"Width"},"height":{"type":"integer","maximum":16384.0,"minimum":1.0,"title":"Height"},"title":{"anyOf":[{"type":"string","maxLength":300},{"type":"null"}],"title":"Title"},"caption":{"type":"string","maxLength":2200,"title":"Caption","default":""},"hashtags":{"items":{"type":"string"},"type":"array","maxItems":30,"title":"Hashtags"},"privacy":{"type":"string","enum":["PUBLIC_TO_EVERYONE","MUTUAL_FOLLOW_FRIENDS","FOLLOWER_OF_CREATOR","SELF_ONLY"],"title":"Privacy"},"allow_comments":{"type":"boolean","title":"Allow Comments","default":false},"allow_duet":{"type":"boolean","title":"Allow Duet","default":false},"allow_stitch":{"type":"boolean","title":"Allow Stitch","default":false},"commercial_content":{"type":"boolean","title":"Commercial Content","default":false},"brand_organic_toggle":{"type":"boolean","title":"Brand Organic Toggle","default":false},"brand_content_toggle":{"type":"boolean","title":"Brand Content Toggle","default":false},"is_aigc":{"type":"boolean","title":"Is Aigc","default":false},"cover_tsp":{"anyOf":[{"type":"number","maximum":3600.0,"minimum":0.0},{"type":"null"}],"title":"Cover Tsp"},"music_usage_confirmed":{"type":"boolean","const":true,"title":"Music Usage Confirmed"},"branded_content_confirmed":{"type":"boolean","title":"Branded Content Confirmed","default":false},"confirmed":{"type":"boolean","const":true,"title":"Confirmed"},"request_id":{"type":"string","format":"uuid","title":"Request Id"},"timezone":{"type":"string","maxLength":80,"minLength":1,"title":"Timezone","default":"UTC"}},"type":"object","required":["social_account_id","filename","mime_type","file_size","duration","width","height","privacy","music_usage_confirmed","confirmed","request_id"],"title":"TikTokDirectUploadInit","description":"Create a TikTok FILE_UPLOAD session without storing the video in 168post."},"TikTokDirectUploadResponse":{"properties":{"job_id":{"type":"string","title":"Job Id"},"campaign_id":{"type":"string","title":"Campaign Id"},"post_id":{"type":"string","title":"Post Id"},"publish_id":{"type":"string","title":"Publish Id"},"upload_url":{"type":"string","title":"Upload Url"},"chunk_size":{"type":"integer","title":"Chunk Size"},"total_chunk_count":{"type":"integer","title":"Total Chunk Count"},"upload_expires_at":{"type":"string","format":"date-time","title":"Upload Expires At"}},"type":"object","required":["job_id","campaign_id","post_id","publish_id","upload_url","chunk_size","total_chunk_count","upload_expires_at"],"title":"TikTokDirectUploadResponse"},"TikTokInboxUploadInit":{"properties":{"social_account_id":{"type":"string","title":"Social Account Id"},"request_id":{"type":"string","format":"uuid","title":"Request Id"},"filename":{"type":"string","maxLength":255,"minLength":1,"title":"Filename"},"mime_type":{"type":"string","enum":["video/mp4","video/quicktime","video/webm"],"title":"Mime Type"},"file_size":{"type":"integer","maximum":4294967296.0,"exclusiveMinimum":0.0,"title":"File Size"},"duration":{"type":"number","exclusiveMinimum":0.0,"title":"Duration"},"width":{"type":"integer","maximum":4096.0,"minimum":360.0,"title":"Width"},"height":{"type":"integer","maximum":4096.0,"minimum":360.0,"title":"Height"},"title":{"anyOf":[{"type":"string","maxLength":300},{"type":"null"}],"title":"Title"},"caption":{"type":"string","maxLength":4000,"title":"Caption","default":""},"timezone":{"type":"string","maxLength":80,"minLength":1,"title":"Timezone","default":"UTC"},"music_usage_confirmed":{"type":"boolean","const":true,"title":"Music Usage Confirmed"},"finish_in_tiktok_confirmed":{"type":"boolean","const":true,"title":"Finish In Tiktok Confirmed"},"product_reference":{"type":"string","maxLength":300,"title":"Product Reference","default":""}},"type":"object","required":["social_account_id","request_id","filename","mime_type","file_size","duration","width","height","music_usage_confirmed","finish_in_tiktok_confirmed"],"title":"TikTokInboxUploadInit","description":"Send original media to TikTok; the creator must edit and publish in the app."},"TikTokPublishJobCreate":{"properties":{"tiktok_publish_mode":{"type":"string","const":"direct","title":"Tiktok Publish Mode","default":"direct"},"social_account_id":{"type":"string","title":"Social Account Id"},"media_asset_id":{"type":"string","title":"Media Asset Id"},"caption":{"type":"string","maxLength":2200,"minLength":1,"title":"Caption"},"hashtags":{"items":{"type":"string"},"type":"array","maxItems":30,"title":"Hashtags"},"privacy":{"type":"string","enum":["PUBLIC_TO_EVERYONE","MUTUAL_FOLLOW_FRIENDS","FOLLOWER_OF_CREATOR","SELF_ONLY"],"title":"Privacy"},"allow_comments":{"type":"boolean","title":"Allow Comments","default":false},"allow_duet":{"type":"boolean","title":"Allow Duet","default":false},"allow_stitch":{"type":"boolean","title":"Allow Stitch","default":false},"commercial_content":{"type":"boolean","title":"Commercial Content","default":false},"brand_organic_toggle":{"type":"boolean","title":"Brand Organic Toggle","default":false},"brand_content_toggle":{"type":"boolean","title":"Brand Content Toggle","default":false},"is_aigc":{"type":"boolean","title":"Is Aigc","default":false},"cover_tsp":{"anyOf":[{"type":"number","maximum":3600.0,"minimum":0.0},{"type":"null"}],"title":"Cover Tsp"},"music_usage_confirmed":{"type":"boolean","const":true,"title":"Music Usage Confirmed"},"branded_content_confirmed":{"type":"boolean","title":"Branded Content Confirmed","default":false},"confirmed":{"type":"boolean","const":true,"title":"Confirmed"},"request_id":{"type":"string","format":"uuid","title":"Request Id"},"scheduled_at":{"anyOf":[{"type":"string","format":"date-time"},{"type":"null"}],"title":"Scheduled At"},"timezone":{"type":"string","maxLength":80,"minLength":1,"title":"Timezone","default":"UTC"}},"type":"object","required":["social_account_id","media_asset_id","caption","privacy","music_usage_confirmed","confirmed","request_id"],"title":"TikTokPublishJobCreate"},"TikTokPublishJobResponse":{"properties":{"job_id":{"type":"string","title":"Job Id"},"campaign_id":{"type":"string","title":"Campaign Id"},"post_id":{"type":"string","title":"Post Id"},"social_account_id":{"type":"string","title":"Social Account Id"},"status":{"type":"string","title":"Status"},"tiktok_publish_mode":{"type":"string","enum":["direct","creator_product","inbox","business_music"],"title":"Tiktok Publish Mode","default":"direct"},"video_status":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Video Status"},"product_attach_status":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Product Attach Status"},"publish_status":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Publish Status"},"phase":{"type":"string","title":"Phase"},"publish_id":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Publish Id"},"video_id":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Video Id"},"video_url":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Video Url"},"error_code":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Error Code"},"error_message":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Error Message"},"scheduled_at":{"type":"string","format":"date-time","title":"Scheduled At"},"next_retry_at":{"anyOf":[{"type":"string","format":"date-time"},{"type":"null"}],"title":"Next Retry At"},"finished_at":{"anyOf":[{"type":"string","format":"date-time"},{"type":"null"}],"title":"Finished At"}},"type":"object","required":["job_id","campaign_id","post_id","social_account_id","status","phase","publish_id","video_id","video_url","error_code","error_message","scheduled_at","next_retry_at","finished_at"],"title":"TikTokPublishJobResponse"},"TikTokVideo":{"properties":{"video_id":{"type":"string","title":"Video Id"},"title":{"type":"string","title":"Title"},"description":{"type":"string","title":"Description","default":""},"thumbnail_url":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Thumbnail Url"},"share_url":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Share Url"},"published_at":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Published At"},"duration":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"Duration"},"view_count":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"View Count"},"like_count":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"Like Count"},"comment_count":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"Comment Count"},"share_count":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"Share Count"}},"type":"object","required":["video_id","title"],"title":"TikTokVideo"},"TikTokVideoListResponse":{"properties":{"videos":{"items":{"$ref":"#/components/schemas/TikTokVideo"},"type":"array","title":"Videos"},"next_cursor":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"Next Cursor"},"has_more":{"type":"boolean","title":"Has More"}},"type":"object","required":["videos","has_more"],"title":"TikTokVideoListResponse"},"UploadUrlRequest":{"properties":{"filename":{"type":"string","maxLength":255,"minLength":1,"title":"Filename"},"content_type":{"type":"string","pattern":"^video/","title":"Content Type","default":"video/mp4"},"file_size":{"anyOf":[{"type":"integer","exclusiveMinimum":0.0},{"type":"null"}],"title":"File Size"},"product_id":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Product Id"},"multipart":{"type":"boolean","title":"Multipart","default":false}},"type":"object","required":["filename"],"title":"UploadUrlRequest"},"UploadUrlResponse":{"properties":{"storage_key":{"type":"string","title":"Storage Key"},"upload_url":{"type":"string","title":"Upload Url"},"method":{"type":"string","title":"Method","default":"PUT"},"headers":{"additionalProperties":{"type":"string"},"type":"object","title":"Headers","default":{}},"expires_in":{"type":"integer","title":"Expires In","default":900},"fallback_upload_path":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Fallback Upload Path"},"multipart":{"anyOf":[{"$ref":"#/components/schemas/MultipartUploadSession"},{"type":"null"}]}},"type":"object","required":["storage_key","upload_url"],"title":"UploadUrlResponse"},"ValidationError":{"properties":{"loc":{"items":{"anyOf":[{"type":"string"},{"type":"integer"}]},"type":"array","title":"Location"},"msg":{"type":"string","title":"Message"},"type":{"type":"string","title":"Error Type"},"input":{"title":"Input"},"ctx":{"type":"object","title":"Context"}},"type":"object","required":["loc","msg","type"],"title":"ValidationError"},"VideoCandidate":{"properties":{"name":{"type":"string","maxLength":255,"minLength":1,"title":"Name"},"file_size":{"anyOf":[{"type":"integer","exclusiveMinimum":0.0},{"type":"null"}],"title":"File Size"},"duration":{"anyOf":[{"type":"number","exclusiveMinimum":0.0},{"type":"null"}],"title":"Duration"}},"type":"object","required":["name"],"title":"VideoCandidate"},"VideoSalesMetrics":{"properties":{"status":{"type":"string","title":"Status","default":"not_synced"},"orders":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"Orders"},"sold_units":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"Sold Units"},"synced_at":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Synced At"}},"type":"object","title":"VideoSalesMetrics"},"YouTubeComment":{"properties":{"id":{"type":"string","title":"Id"},"text":{"type":"string","title":"Text"},"author_name":{"type":"string","title":"Author Name"},"author_avatar_url":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Author Avatar Url"},"author_channel_url":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Author Channel Url"},"published_at":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Published At"},"updated_at":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Updated At"},"like_count":{"type":"integer","title":"Like Count","default":0},"reply_count":{"type":"integer","title":"Reply Count","default":0},"replies":{"items":{"$ref":"#/components/schemas/YouTubeComment"},"type":"array","title":"Replies"}},"type":"object","required":["id","text","author_name"],"title":"YouTubeComment"},"YouTubeCommentListResponse":{"properties":{"total":{"type":"integer","title":"Total","default":0},"comments":{"items":{"$ref":"#/components/schemas/YouTubeComment"},"type":"array","title":"Comments"}},"type":"object","title":"YouTubeCommentListResponse"},"YouTubePublishJobCreate":{"properties":{"social_account_id":{"type":"string","title":"Social Account Id"},"media_asset_id":{"type":"string","title":"Media Asset Id"},"product_id":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Product Id"},"title":{"type":"string","maxLength":100,"minLength":1,"title":"Title"},"description":{"type":"string","maxLength":5000,"minLength":1,"title":"Description"},"hashtags":{"items":{"type":"string"},"type":"array","maxItems":30,"title":"Hashtags"},"privacy":{"type":"string","enum":["private","unlisted","public"],"title":"Privacy","default":"private"},"made_for_kids":{"type":"boolean","title":"Made For Kids","default":false},"scheduled_at":{"anyOf":[{"type":"string","format":"date-time"},{"type":"null"}],"title":"Scheduled At"},"timezone":{"type":"string","maxLength":80,"minLength":1,"title":"Timezone","default":"UTC"},"campaign_name":{"anyOf":[{"type":"string","maxLength":180,"minLength":1},{"type":"null"}],"title":"Campaign Name"},"request_id":{"anyOf":[{"type":"string","format":"uuid"},{"type":"null"}],"title":"Request Id"},"confirmed":{"type":"boolean","const":true,"title":"Confirmed"}},"type":"object","required":["social_account_id","media_asset_id","title","description","confirmed"],"title":"YouTubePublishJobCreate"},"YouTubePublishJobResponse":{"properties":{"job_id":{"type":"string","title":"Job Id"},"campaign_id":{"type":"string","title":"Campaign Id"},"post_id":{"type":"string","title":"Post Id"},"social_account_id":{"type":"string","title":"Social Account Id"},"media_asset_id":{"type":"string","title":"Media Asset Id"},"status":{"type":"string","title":"Status"},"phase":{"type":"string","title":"Phase"},"progress_percent":{"type":"integer","maximum":100.0,"minimum":0.0,"title":"Progress Percent"},"bytes_uploaded":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"Bytes Uploaded"},"total_bytes":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"Total Bytes"},"video_id":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Video Id"},"video_url":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Video Url"},"scheduled_at":{"type":"string","format":"date-time","title":"Scheduled At"},"attempt":{"type":"integer","title":"Attempt"},"max_attempts":{"type":"integer","title":"Max Attempts"},"next_retry_at":{"anyOf":[{"type":"string","format":"date-time"},{"type":"null"}],"title":"Next Retry At"},"started_at":{"anyOf":[{"type":"string","format":"date-time"},{"type":"null"}],"title":"Started At"},"finished_at":{"anyOf":[{"type":"string","format":"date-time"},{"type":"null"}],"title":"Finished At"},"error_code":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Error Code"},"error_message":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Error Message"},"created_at":{"type":"string","format":"date-time","title":"Created At"}},"type":"object","required":["job_id","campaign_id","post_id","social_account_id","media_asset_id","status","phase","progress_percent","bytes_uploaded","total_bytes","video_id","video_url","scheduled_at","attempt","max_attempts","next_retry_at","started_at","finished_at","error_code","error_message","created_at"],"title":"YouTubePublishJobResponse"},"YouTubeVideo":{"properties":{"video_id":{"type":"string","title":"Video Id"},"title":{"type":"string","title":"Title"},"description":{"type":"string","title":"Description","default":""},"thumbnail_url":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Thumbnail Url"},"published_at":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Published At"},"duration":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Duration"},"privacy_status":{"type":"string","title":"Privacy Status","default":"private"},"upload_status":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Upload Status"},"category_id":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Category Id"},"tags":{"items":{"type":"string"},"type":"array","title":"Tags"},"embeddable":{"anyOf":[{"type":"boolean"},{"type":"null"}],"title":"Embeddable"},"made_for_kids":{"anyOf":[{"type":"boolean"},{"type":"null"}],"title":"Made For Kids"},"view_count":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"View Count"},"like_count":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"Like Count"},"comment_count":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"Comment Count"}},"type":"object","required":["video_id","title"],"title":"YouTubeVideo"},"YouTubeVideoListResponse":{"properties":{"videos":{"items":{"$ref":"#/components/schemas/YouTubeVideo"},"type":"array","title":"Videos"},"next_page_token":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Next Page Token"}},"type":"object","required":["videos"],"title":"YouTubeVideoListResponse"},"YouTubeVideoUpdateRequest":{"properties":{"title":{"type":"string","maxLength":100,"minLength":1,"title":"Title"},"description":{"type":"string","maxLength":5000,"title":"Description","default":""},"privacy_status":{"type":"string","pattern":"^(private|unlisted|public)$","title":"Privacy Status"}},"type":"object","required":["title","privacy_status"],"title":"YouTubeVideoUpdateRequest"}},"securitySchemes":{"HTTPBearer":{"type":"http","scheme":"bearer"}}},"servers":[{"url":"/open-api/v1"}]}